<template>
  <BaseLayout class="hennessy">
    <main class="hennessy__content">
      <!-- background icons -->
      <BackgroundIcons />

      <!-- SECTIONS -->

      <!-- top banner -->
      <CaseTopBanner
        :title="caseData.topBanner.title"
        :description="caseData.topBanner.description"
        :desktopImage="caseData.topBanner.desktopImage"
        :mobileImage="caseData.topBanner.mobileImage"
      />

      <!-- project description -->
      <section class="case-section">
        <h3 class="case-section__title">о проекте</h3>
        <ProjectDescription />
      </section>

      <!-- web desktop -->
      <section class="case-section">
        <h3 class="case-section__title">веб версия <span>/ десктоп</span></h3>
        <CaseWebDesktop :tabs="caseData.webDesktop" :scrollAnimation="true" />
      </section>

      <!-- web adaptive -->
      <section class="case-section">
        <h3 class="case-section__title">
          веб версия <span>/ планшет и телефон</span>
        </h3>
        <CaseWebAdaptive :tabs="caseData.webAdaptive" />
      </section>

      <!-- ui kit -->
      <section class="case-section">
        <h3 class="case-section__title">кит пользовательского интерфейса</h3>
        <CaseUIKit :data="caseData.UIKit" />
      </section>

      <!-- results -->
      <section class="case-section">
        <h3 class="case-section__title">итоговый продукт</h3>
        <CaseResults
          :slides="caseData.results.slides"
          :descriptionHTML="caseData.results.descriptionHTML"
        />
      </section>

      <!-- END SECTIONS -->
    </main>
  </BaseLayout>
</template>
<script>
// sections
import BackgroundIcons from './BackgroundIcons'
import ProjectDescription from './ProjectDescription'
import BaseLayout from '@/components/layout/BaseLayout'

// sections
import CaseTopBanner from '@/components/shared/CaseTopBanner'
import CaseWebDesktop from '@/components/shared/CaseWebDesktop'
import CaseWebAdaptive from '@/components/shared/CaseWebAdaptive'
import CaseUIKit from '@/components/shared/CaseUIKit'
import CaseResults from '@/components/shared/CaseResults'

import { v4 as uuidv4 } from 'uuid'

export default {
  name: 'Hennessy',
  components: {
    BaseLayout,
    BackgroundIcons,
    // sections
    CaseTopBanner,
    ProjectDescription,
    CaseWebDesktop,
    CaseWebAdaptive,
    CaseUIKit,
    CaseResults
  },
  setup() {
    const pathToCaseImages = '/images/cases/hennessy'

    const caseData = {
      topBanner: {
        title: 'Hennessy',
        description: 'интерактивный онлайн ивент к 150-летию легенды',
        desktopImage: `${pathToCaseImages}/web-desktop/main.png`,
        mobileImage: `${pathToCaseImages}/web-mobile/main.png`
      },
      webDesktop: [
        {
          id: uuidv4(),
          title: 'главная',
          image: `${pathToCaseImages}/web-desktop/main.png`
        },
        {
          id: uuidv4(),
          title: 'регистрация',
          image: `${pathToCaseImages}/web-desktop/registration.png`
        },
        {
          id: uuidv4(),
          title: 'кино',
          image: `${pathToCaseImages}/web-desktop/movie.png`
        },
        {
          id: uuidv4(),
          title: 'музыка',
          image: `${pathToCaseImages}/web-desktop/music.png`
        },
        {
          id: uuidv4(),
          title: '404',
          image: `${pathToCaseImages}/web-desktop/404.png`
        }
      ],
      webAdaptive: [
        {
          id: uuidv4(),
          title: 'главная',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/main.png`,
            mobile: `${pathToCaseImages}/web-mobile/main.png`
          }
        },
        {
          id: uuidv4(),
          title: 'регистрация',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/registration.png`,
            mobile: `${pathToCaseImages}/web-mobile/registration.png`
          }
        },
        {
          id: uuidv4(),
          title: 'кино',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/movie.png`,
            mobile: `${pathToCaseImages}/web-mobile/movie.png`
          }
        },
        {
          id: uuidv4(),
          title: 'музыка',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/music.png`,
            mobile: `${pathToCaseImages}/web-mobile/music.png`
          }
        },
        {
          id: uuidv4(),
          title: '404',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/404.png`,
            mobile: `${pathToCaseImages}/web-mobile/404.png`
          }
        }
      ],
      UIKit: {
        id: uuidv4(),
        title: 'ui kit',
        image: `${pathToCaseImages}/ui-kit/kit.png`
      },
      results: {
        slides: [
          {
            id: uuidv4(),
            title: 'итоговый продукт',
            video: {
              src: 'https://storage.webgoer.ru/videos/hennessy-giftcard.mp4',
              poster: '/images/cases/hennessy/result/giftcard-poster.png'
            }
          }
        ],
        descriptionHTML: ``
      }
    }

    return { caseData }
  }
}
</script>
